<!DOCTYPE HTML>
<html lang="en">
<head>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <meta name="author" content="Charles E. Finkenbiner - Creative Electronic Formulas, Inc.">
 <meta name="generator" content="SynWrite 6.40.2770">
 <meta name="viewport" content="width=device-width">
	<title>How to use calendar</title>
 <link rel="shortcut icon" href="images/calendar.ico">
 <link rel="stylesheet" type="text/css" href="css/calendar.css">
 <style>
  @media print, screen
  {
   /* CSS by HTML tag name  */
   body, html
   {
    height: 100%;
    margin: 0;
    padding: 0;
   }

   div
   {
    margin: 10px;
   }

   dt
   {
    font-weight: bold;
   }

   /* CSS by Id */

   /* CSS by Class */
   .cefiform
   {
    font: normal 12pt Arial, Helvetica, sans-serif;
    margin: 5px;
   }

   .cefiform .cal-img
   {
    position: relative;
    float: right;
    margin-right: 2px;
    margin-top: -21px;
    height: 20px;
    width: 20px;
   }

   .cefiform input[type="text"], .cefiform input[type="password"], .cefiform select
   {
    box-sizing: border-box;
    border: 1px solid #999999;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    -o-border-radius: 5px;
    -khtml-border-radius: 5px;
    border-radius: 5px;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 0.8em;
    line-height: 140%;
    padding-right: 25px;
    width: 100%;
   }

   .cefiform input[type="text"]:focus, .cefiform input[type="password"]:focus, .cefiform select:focus
   {
    background-color: #FFFF99;
    border: 1px solid #990000;
    font-weight: bold;
   }

   .cefiform fieldset
   {
    border: 1px solid #CCCCCC;
    -moz-border-radius: 10px;
    -webkit-border-radius: 10px;
    -o-border-radius: 10px;
    -khtml-border-radius: 10px;
    border-radius: 10px;
    margin: 10px 0 5px 0;
   }

   /* Use for fieldset in <body> only.  For a fieldset within a fieldset use '.sub-fieldset' on inner fieldsets. */
   .cefiform .fieldset
   {
    float: left;
    width: 310px;
   }

   .cefiform fieldset .container
   {
    margin-top: 8px;
    margin-bottom: 10px;
   }

   .cefiform fieldset .error
   {  
    font-family: Arial, Helvetica, sans-serif;
    font-size: 0.8em;
    color: #990000;
    background-color: #FFFF00;
   }

   .cefiform fieldset label
   {
    font: bold 10pt Arial, Helvetica, sans-serif;
   }

   .cefiform fieldset legend
   {
    font: bold 12pt Arial, Helvetica, sans-serif;
   }

   .reset-r
   {
    clear: right;
   }
  }
 </style>
 <script src="js/calendar.js"></script>
 <script>
 document.addEventListener("DOMContentLoaded", domReady);
 let modal = popup = null;
 // parentPage base elemeents = page, elem, url, cur_select
 var parentPage = new Object();

 function domReady()
 {
  modal = document.getElementById("cal-modal");
  popup = modal.contentWindow;
 }
 </script>
</head>
<body>
 <noscript>
  <h2 class="error">Javascript is required for this page to work!</h2>
 </noscript>
 <div id="cal-mask" class="hide">
  <div id="cal-page">
   <iframe id="cal-modal" class="iframe" src="calendar.php"></iframe>
  </div>
 </div>
 <div>
  <h2>User Settings in &quot;php/calendar.php&quot; for PHP calendar.</h2>
  <h2>User Settings in &quot;js/calendar.js&quot; for Javascript calendar.</h2>
  <dl>
   <dt>$daysInWeek:</dt>
   <dd>The number of days in a calendar week. (For future use)</dd>
   <dt>$firstDOW:</dt>
   <dd>The first day of the calendar week. (0-6 = Sun-Sat)</dd>
   <dt>$calLang:</dt>
   <dd>&quot;en&quot; for English or &quot;es&quot; for Spanish</dd>
   <dt>$fillBlanks:</dt>
   <dd>Fill blank calendar days with previous/next months date. (true or false)</dd>
   <dt>$useButtons:</dt>
   <dd>Use buttons for calendar days. (true or false)</dd>
  </dl>
 </div>
 <br>
 <div>
  <h2>Instructions for using the calendar.</h2>
  Without a query string the calendar will load showing the current month and year.<br>
  With query string &quot;?currentMonth=5&quot; the calendar will load showing May in the current year.<br>
  With query string &quot;?currentYear=2026&quot; the calendar will load showing the current month in the year 2026.<br>
  With query string &quot;?currentMonth=5&amp;currentYear=2026&quot; the calendar will load showing May in the year 2026.<br>
  <dl>
   <dt>Previous Year:</dt>
   <dd>Click to show previous calendar year.</dd>
   <dt>Previous Month:</dt>
   <dd>Click to show previous calendar month.</dd>
   <dt>Current Month:</dt>
   <dd>Select any calendar month..</dd>
   <dt>Current Year:</dt>
   <dd>Enter any valid calendar year.  A valid year is any number above 0.  After you enter a year you can press &quot;Enter/Return&quot; or you can &quot;tab or click&quot; out of the field.</dd>
   <dt>Next Month:</dt>
   <dd>Click to show next calendar month.</dd>
   <dt>Next Year:</dt>
   <dd>Click to show next calendar year.</dd>
  </dl>
 </div>
 <br>
 <div>
  <h2>Sample calendar usage.</h2>
  <p>To open calendar click on the calendar icon. To close calendar click in the date field. (Must be the same field that contains the calendar icon)</p>
  <form id="cefiform" class="cefiform" action="sample.php" method="post" accept-charset="UTF-8">
   <fieldset class="fieldset">
    <legend class="legend">Calender Example: </legend>
    <div class="container" title="Please enter a date.">
     <label for="udate1">Please enter a date:</label><br>
     <input type="text" id="udate1" name="udate1" onfocus="javascript:onFocusDate(this);" placeholder="MM/DD/YYYY">
     <img id="cal_img1" class="cal-img" src="images/calendar_32x32.png" alt="Calendar Picture" onclick="openModalCalendar(this.previousElementSibling);" title="Open calendar.">
     <div class="reset-r"></div>
    </div>
    <br>
    <div class="container" title="Please enter a date.">
     <label for="udate2">Please enter a date:</label><br>
     <input type="text" id="udate2" name="udate2" onfocus="javascript:onFocusDate(this);" placeholder="MM/DD/YYYY">
     <img id="cal_img2" class="cal-img" src="images/calendar_32x32.png" alt="Calendar Picture" onclick="openModalCalendar(this.previousElementSibling);" title="Open calendar.">
     <div class="reset-r"></div>
    </div>
   </fieldset>
  </form>
 </div>
</body>
</html>
